## org.apache.poi.hssf.util
Class CellRangeAddress8Bit

    java.lang.Object
      org.apache.poi.ss.util.CellRangeAddressBase
          org.apache.poi.hssf.util.CellRangeAddress8Bit

    public final class CellRangeAddress8Bit

extends CellRangeAddressBase

See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range Address'

Like `CellRangeAddress` except column fields are 8-bit.

Author:
  Josh Micich

Field Summary
`static int` `ENCODED_SIZE`

Constructor Summary
`CellRangeAddress8Bit(int firstRow, int lastRow, int firstCol, int lastCol)`
`CellRangeAddress8Bit(LittleEndianInput in)`

Method Summary
`CellRangeAddress8Bit` `copy()`
`static int` `getEncodedSize(int numberOfItems)`
`int` `serialize(int offset, byte[] data)` Deprecated. use `serialize(LittleEndianOutput)`
`void` `serialize(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.util.CellRangeAddressBase
`getFirstColumn, getFirstRow, getLastColumn, getLastRow, getNumberOfCells, isFullColumnRange, isFullRowRange, isInRange, setFirstColumn, setFirstRow, setLastColumn, setLastRow, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENCODED_SIZE

    public static final int ENCODED_SIZE

See Also:
  Constant Field Values

Constructor Detail

### CellRangeAddress8Bit

    public CellRangeAddress8Bit(int firstRow,
                                int lastRow,
                                int firstCol,
                                int lastCol)

### CellRangeAddress8Bit

    public CellRangeAddress8Bit(LittleEndianInput in)

Method Detail

### serialize

    public int serialize(int offset,
                         byte[] data)

  Deprecated. use `serialize(LittleEndianOutput)`

### serialize

    public void serialize(LittleEndianOutput out)

### copy

    public CellRangeAddress8Bit copy()

### getEncodedSize

    public static int getEncodedSize(int numberOfItems)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.